<script setup>
import { useRouter } from 'vue-router';


const router = useRouter();


const navigateToAboutUs = () => {
  router.push('/about');
};


const navigateToLogIn = () => {
  router.push('/login');
};
</script>

<template>
  <v-container fluid>

    <v-row justify="center" class="text-center home-hero">
      <v-col cols="12" md="8">
        <h1 class="display-2 font-weight-bold mb-1">DO-ly</h1>
        <h3 class="display-2 font-weight-bold mb-3">Get Organized Today</h3>
        <p class="subheading font-weight-regular">Your tasks. Simplified.</p>
        <v-btn large color="primary" class="mt-5" @click="navigateToLogIn">Log In Now</v-btn>
      </v-col>
    </v-row>


    <v-row justify="center" class="my-10">
      <v-col cols="12" md="4" class="text-center">
        <h2 class="title mt-3">Track Your Tasks</h2>
        <p>Effortlessly manage your daily activities and to-do lists in one place.</p>
      </v-col>

      <v-col cols="12" md="4" class="text-center">
        <h2 class="title mt-3">Boost Productivity</h2>
        <p>See your progress with personalized productivity reports.</p>
      </v-col>

      <v-col cols="12" md="4" class="text-center">
        <h2 class="title mt-3">Collaborate</h2>
        <p>Share your tasks and collaborate with your team for better results.</p>
      </v-col>
    </v-row>


    <v-row justify="center">
      <v-col cols="12" class="text-center">
        <v-btn large color="secondary" @click="navigateToAboutUs">About Us</v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>


<style>
.home-hero {
  background-image: url('https://images.unsplash.com/photo-1584697964358-3e14ca57658b?ixlib=rb-4.0.3&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80');
  background-size: cover;
  background-position: center;
  color: #fff;
  padding: 120px 0;
}

/* Adjustments for different screen sizes */
@media (max-width: 960px) {
  .home-hero {
    padding: 60px 0;
  }
}
</style>
